wordpress升到2.8,继续观望

wordpress终于都升到2.8啦。好多人第一时间都升级啦。问题多多啊。这是肯定的。经验告诉我,再等等是最好的选择。这里顺便总结一下网友们报告的一些问题。并搜罗了一些解决的方案。仅供参考。最后提醒一下,升级前先备份。

2.8 在主题、小工具支持、显示选项和运行速度上做了改进,修复了 790 bugs,增加了180个新特性。2.8的后台速度明显提升,现在在后台亦可安装主题,添加了一个新的 CodePress 编辑器支持语法高亮,并且有语法参考。

一些主要的更新

  • New drag-and-drop widgets admin interface and new widgets API
  • Syntax highlighting and function lookup built into plugin and theme editors
  • Browse the theme directory and install themes from the admin
  • Allow the dashboard widgets to be arranged in up to four columns
  • Allow configuring the number of items to show on management pages with an option in Screen Options
  • Support timezones and automatic daylight savings time adjustment
  • Support IIS 7.0 URL Rewrite Module
  • Faster loading of admin pages via script compression and concatenation

下载wordpress2.8中文版

下载 WordPress 2.8(.zip — 2.5 MB)

下载 .tar.gz — 2.2 MB

 再来看看一些网友们报告的问题吧。

1,2.8版升级之后为何后台还有“升级提示”?

wordpress28

当然,这个问题在最新版本已经解决了。所以你只需再等多一天,就没必要碰到这个问题。

2,WP2.8问题真的很多!最主要有些插件与WP2.8不兼容的情况之下,会影响全部的插件,搞到其他的插件显示不出来,包括升级删除和更新!

3,我刚装好WORDPRESS,准备写标题和内容,写完一看,保存后一打开页面都是问号,请教高手指导?

网友解答:数据库跟wp的编码不一样吧。清空数据库 重新安装 选择正确的 编码格式

4,WP2.8安装后无法进入html编辑模式?

网友解答:其实问题很简单,是一个大家都在用的插件出了问题!禁用这个插件:use-google-libraries。问题是不是解决了?

5,刚刚手动升级WP2.8之后,前台和后台都进入不了?

网友解答:升级WP2.8不成功的,请更新all-in-one-seo-pack到最新版本!或者删除了再安装一次!

6,我是从 2.7.1 升级上 2.8 的用 2.8 的文件去 覆盖 原先 2.7.1 的所有文件,然后再执行了 upgrade.php。但之后主页无法打开,全白一片,有时间会只显示一个 “锘” 字。

待解决

7,刚手动下载升级的,直接覆盖文件,进后台后提示升级数据库,点完以后出错误代码,无法登录:

Warning: Cannot modify header information – headers already sent by (output started at /home6/replica6/public_html/wordpress/wp-config.php:149) in /home6/replica6/public_html/wordpress/wp-includes/pluggable.php on line 865

网友解答:重新上传有问题的文件。或去掉所有的插件再看看。

8,求助!!!2.8常规设置无法保存!!安装了2.8的正式版,但是在修改博客名称的时候却意外的发现无法保存,根本就找不到保存修改的小按钮。

wordpress28-error

网友解答:重新与二进制的方式上传文件。或去掉所有的插件再试试。记得先备份数据库。

9,更新到2.8后My Category Order插件不能用了怎么办?

这种问题就很简单啦。升级插件就是了。

10,升级到2.8后,大家的模板编辑功能还能用吗?我这里症状是,只能编辑默认打开的第一个页面,但一点击右边的其它页面,就一片空白,无法编辑了。

网友解答:还是重新与二进制的方式上传文件。

11,新文章可以加新标签,但添加已有标签不行?

网友解答:DB Cache 插件的问题。

略,问题太多。无法一一例举。

总结一下问题:

1,插件原因

插件的原因是比较常见的。这也是很正常的。也是我为什么继续观望,不想这么快升级的主要原因。很多插件都还只是支持2.7版的。至少也要等插件的作者们升级到也可以支持2.8的嘛。所以碰到有问题,先停用所有的插件是明智之举。

2,文件本身不全的问题

就是说升级时某些文件下载不全之类的。或上传时丢失了一点,改用二进制上传看看。反正就是提示那个文件有问题,就重新上传那个文件。最多全部重新上传就是啦。

我嘛,再继续观望观望。不急。

2 回复

评论已关闭。